SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `ilp` DEFAULT CHARACTER SET utf8 COLLATE utf8_spanish_ci ;
USE `ilp` ;

-- -----------------------------------------------------
-- Table `ilp`.`signants`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ilp`.`signants` (
  `idsignant` BIGINT(20) NOT NULL AUTO_INCREMENT ,
  `nif` VARCHAR(9) NOT NULL ,
  `nom` VARCHAR(20) NOT NULL ,
  `cognom_1` VARCHAR(25) NOT NULL ,
  `cognom_2` VARCHAR(25) NOT NULL ,
  `data_nx` DATE NOT NULL ,
  PRIMARY KEY (`idsignant`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ilp`.`comissions`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ilp`.`comissions` (
  `idcomissio` INT NOT NULL AUTO_INCREMENT ,
  `nif_r` VARCHAR(9) NOT NULL ,
  `nom_r` VARCHAR(20) NOT NULL ,
  `cognom_1_r` VARCHAR(30) NOT NULL ,
  `cognom_2_r` VARCHAR(30) NOT NULL ,
  `email` VARCHAR(50) NOT NULL ,
  `username` VARCHAR(32) NOT NULL ,
  `password` VARCHAR(16) NOT NULL ,
  `data_cr` TIMESTAMP NOT NULL ,
  `data_mod` TIMESTAMP NULL ,
  PRIMARY KEY (`idcomissio`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ilp`.`ilps`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ilp`.`ilps` (
  `idilp` INT NOT NULL AUTO_INCREMENT ,
  `idcomis` INT NOT NULL ,
  `estat` TINYINT(1) NOT NULL ,
  `codi_jec` VARCHAR(10) NOT NULL ,
  `nom` VARCHAR(300) NOT NULL ,
  `descripcio` TEXT NOT NULL ,
  `text` TEXT NOT NULL ,
  `data_inici` DATE NOT NULL ,
  `data_fi` DATE NOT NULL ,
  `banner_sm` VARCHAR(200) NULL ,
  `data_cr` TIMESTAMP NOT NULL ,
  `data_mod` TIMESTAMP NULL ,
  PRIMARY KEY (`idilp`) ,
  INDEX `fk_comissio` (`idcomis` ASC) ,
  CONSTRAINT `fk_comissio`
    FOREIGN KEY (`idcomis` )
    REFERENCES `ilp`.`comissions` (`idcomissio` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ilp`.`signatures`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `ilp`.`signatures` (
  `idsignant` BIGINT(20) NOT NULL ,
  `idilp` INT NOT NULL ,
  `signatura` VARCHAR(200) NOT NULL ,
  `data_cr` TIMESTAMP NOT NULL ,
  INDEX `fk_signant` (`idsignant` ASC) ,
  INDEX `fk_ilp` (`idilp` ASC) ,
  PRIMARY KEY (`idsignant`, `idilp`) ,
  CONSTRAINT `fk_signant`
    FOREIGN KEY (`idsignant` )
    REFERENCES `ilp`.`signants` (`idsignant` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ilp`
    FOREIGN KEY (`idilp` )
    REFERENCES `ilp`.`ilps` (`idilp` )
    ON DELETE CASCADE
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


CREATE USER `ilp` IDENTIFIED BY 'ilp1977';

grant DELETE on TABLE `ilp`.`signants` to ilp;
grant INSERT on TABLE `ilp`.`signants` to ilp;
grant SELECT on TABLE `ilp`.`signants` to ilp;
grant UPDATE on TABLE `ilp`.`signants` to ilp;
grant INSERT on TABLE `ilp`.`comissions` to ilp;
grant SELECT on TABLE `ilp`.`comissions` to ilp;
grant UPDATE on TABLE `ilp`.`comissions` to ilp;
grant DELETE on TABLE `ilp`.`comissions` to ilp;
grant DELETE on TABLE `ilp`.`ilps` to ilp;
grant INSERT on TABLE `ilp`.`ilps` to ilp;
grant SELECT on TABLE `ilp`.`ilps` to ilp;
grant UPDATE on TABLE `ilp`.`ilps` to ilp;
grant DELETE on TABLE `ilp`.`signatures` to ilp;
grant INSERT on TABLE `ilp`.`signatures` to ilp;
grant SELECT on TABLE `ilp`.`signatures` to ilp;
grant UPDATE on TABLE `ilp`.`signatures` to ilp;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
