<?php

require_once "./scripts/view.php";
require_once"./scripts/validacio.php"; 
require_once"./include/bbdd.php"; 
require_once './scripts/app_config.php';
require_once './scripts/database_connection.php';

$error_message = $_REQUEST['error_message'];

session_start();

if (isset($_SESSION['idcomissio'])) {
	 header("Location: gestio_ilp.php");	
	 exit();
}
if (isset($_POST['esborrar'])) {
	 header("Location: registre.php");	
	 exit();
}
if( isset($_POST['enviar'])){
	
  $nif = $_POST['nif'];
  $nom = $_POST['nom'];
  $cognom1 = $_POST['cognom1'];
  $cognom2 = $_POST['cognom2'];
  $email = $_POST['email'];
  $usuari = $_POST['usuari'];
  $password = $_POST['contrasenya'];
	
  $rnif=validarNif($nif);
  if (!$rnif[0]) $error_message .="Error a Nif: ".$rnif[1]."<br/>";	
  $rnom=validarLongitud($nom,1);
  if (!$rnom[0]) $error_message .="Error a Nom: ".$rnom[1]."<br/>";		
  $rcognom1=validarLongitud($cognom1,1);
  if (!$rcognom1[0]) $error_message .="Error a Primer Cognom: ".$rcognom1[1]."<br/>";	
  $rcognom2=validarLongitud($cognom2,1);
  if (!$rcognom2[0]) $error_message .="Error a Segon Cognom: ".$rcognom2[1]."<br/>";	
  $remail=validarEmail($email);
  if (!$remail[0]) $error_message .="Error a Email: ".$remail[1]."<br/>";	
  $rusuari=validarLongitud($usuari,6);
  if (!$rusuari[0]) $error_message .="Error a Usuari: ".$rusuari[1]."<br/>";
  $repusuari=validarUsuari($usuari);
  if (!$repusuari[0]) $error_message .="Error a Usuari: ".$repusuari[1]."<br/>";
  $rpass=validarLongitud($password,6);
  if (!$rpass[0]) $error_message .="Error a Contrasenya: ".$rpass[1]."<br/>";
   $rcpass=validarPassword($password,$_POST['conf_contrasenya']);
  if (!$rcpass[0]) $error_message .="Error a Contrasenya: ".$rcpass[1]."<br/>";
  
  if ($rnif[0] && $rnom[0] && $rnom[0] && $rcognom1[0] && $rcognom2[0] && $remail[0] && $rusuari[0] && $repusuari[0] && $rpass[0] && $rcpass[0])
  {
	$inscom=insertarComissio($nif,$nom,$cognom1,$cognom2,$email,$usuari,$password);
	if (!$inscom[0])  $error_message .=$inscom[1]."<br/>";
	else
	{
		$_SESSION['idcomissio'] = $inscom[2];
		$_SESSION['username'] = $usuari;
		header("Location: gestio_ilp.php");
	}
  }
}
        
$inline_javascript = <<<EOD
$(document).ready(function(){ 
	//global vars
	var form = $("#registreForm");
	var nif = $("#nif");
	var nom = $("#nom");
	var cognom1 = $("#cognom1");
	var cognom2 = $("#cognom2");
	var email = $("#email");
	var usuari = $("#usuari");
	var pass = $("#contrasenya");
	var conf_pass = $("#conf_contrasenya");
	var repusuari=false;
        
	nif.bind('blur keyup', function() {
		var ret=validarNif(nif.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu DNI / NIF");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
	nom.bind('blur keyup', function() {				 
		var ret=validarLongitud(nom.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        cognom1.bind('blur keyup', function() {				 
		var ret=validarLongitud(cognom1.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu primer cognom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        cognom2.bind('blur keyup', function() {				 
		var ret=validarLongitud(cognom2.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu segon cognom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        email.bind('blur keyup', function() {
		var ret=validarEmail(email.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu email");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        usuari.bind('blur keyup', function() {				 
		var ret=validarLongitud(usuari.val(),6);
		if(ret[0]) 
		{
                    $.ajax({
                            type: "POST",
                            url: "./include/validar_usuari.php",
                            data: {usuari : usuari.val()},
                            success: function( resposta ){
                              if(resposta == "1")
                                {
                                    repusuari=true;
                                    usuari.removeClass("error");
                                    usuari.next('span').text("Introdueix el nom d'usuari (mnim 6 carcters)");
                                    usuari.next('span').removeClass("error"); 
                              
                                }
                              else
                                  { 
                                     usuari.addClass("error");
                                     usuari.next('span').text("El nom d'usuari ja existeix");
                                     usuari.next('span').addClass("error");
                                  }
                    }});

		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        
        pass.bind('blur keyup', function() {				 
		var ret=validarLongitud(pass.val(),6);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix la contrasenya (mnim 6 carcters)");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        
        conf_pass.bind('blur keyup', function() {				 
		var ret=validarPassword(pass.val(),conf_pass.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Confirma la contrasenya");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        
        $('#enviar').click(function(){
            var rnif=validarNif(nif.val());
            if (!rnif[0]) {nif.blur();}
            var rnom=validarLongitud(nom.val(),1);
            if (!rnom[0]) {nom.blur();}
            var rcog=validarLongitud(cognom1.val(),1);
            if (!rcog[0]) {cognom1.blur();}
            var rcogs=validarLongitud(cognom2.val(),1);
            if (!rcogs[0]) {cognom2.blur();}
            var remail=validarEmail(email.val());
            if (!remail[0]) {email.blur();}
            var rusuari=validarLongitud(usuari.val(),6);
            if (!rusuari[0]) {usuari.blur();}
            if (!repusuari) {usuari.blur();}
            var rpass=validarLongitud(pass.val(),6);
            if (!rpass[0]) {pass.blur();}
            var rconfpass=validarPassword(pass.val(),conf_pass.val());
            if (!rconfpass[0]) {conf_pass.blur();}
            
            if(rnif[0] && rnom[0] && rcog[0] && rcogs[0] && remail[0] && rusuari[0] && repusuari && rpass[0] && rconfpass[0])  {return true;}
            else return false;
        });
});
EOD;

page_start("Registre", $inline_javascript);
?>
<div id="mainContent">
      <div id="textbar"><label>Registre</label></div>
       <?php  display_messages(NULL, $error_message);?>
       <form method="post" id="registreForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data" class="formulari" >
        	<table cellpadding="4" cellspacing="4">
            	<tr>
                	<td align="right"><label for="nif">DNI / NIF *</label></td>
                    <td><input id="nif" name="nif" type="text" /><span id="nifInfo">Introdueix el teu DNI / NIF</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="nom">Nom *</label></td>
                    <td><input id="nom" name="nom" type="text" /><span id="nomInfo">Introdueix el teu nom</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="cognom1">Primer Cognom *</label></td>
                    <td><input id="cognom1" name="cognom1" type="text" /><span id="cognom1Info">Introdueix el teu primer cognom</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="cognom2">Segon Cognom *</label></td>
                    <td><input id="cognom2" name="cognom2" type="text" /><span id="cognom2Info">Introdueix el teu segon cognom</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="email">Email *</label></td>
                    <td><input id="email" name="email" type="text" /><span id="emailInfo">Introdueix el teu email</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="usuari">Usuari *</label></td>
                    <td><input id="usuari" name="usuari" type="text" /><span id="usuariInfo">Introdueix el nom d'usuari  (mnim 6 carcters)</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="contrasenya">Contrasenya *</label></td>
                    <td><input id="contrasenya" name="contrasenya" type="password" /><span id="contrasenyaInfo">Introdueix la contrasenya  (mnim 6 carcters)</span></td>
                </tr>
                <tr>
                	<td align="right"><label for="conf_contrasenya">Confirmar Contrasenya *</label></td>
                    <td><input id="conf_contrasenya" name="conf_contrasenya" type="password" /><span id="conf_contrasenyaInfo">Confirma la contrasenya</span></td>
                </tr>
                <tr>
                	<td align="center" colspan="2"><div><input id="enviar" name="enviar" type="submit" value="Enviar"  class="ilp-button ilp-button-blue ilp-button-180-by-30" />
                         <input id="esborrar" name="esborrar" type="submit" value="Esborrar"  class="ilp-button ilp-button-blue   ilp-button-180-by-30" /></div>
                        </td>
                </tr>
            </table>	
		</form>    
 <?php display_footer();?>
 </body>
</html>
 
  